Subject: Re: [netmod] [FWD] RFC 7405 on Case-Sensitive String Support in ABNF

From: Martin Bjorklund <[email-masked]>
Date: Thu, 01 Jan 2015 18:01:59 +0100 (CET)

Hi,

Juergen Schoenwaelder <[email-masked]> wrote:
> Hi,
> 
> this might be relevant for the YANG 1.1 specification

Yes, I read this when it was still a draft.

I have updated the grammar to use this new syntax.

> (no idea whether
> someone updates abnfgen and friends to support the new syntax).

I added support for this new syntax to abnfgen and bap, and while
testing this, I realized that abnfgen actually was too liberal in what
it accepted; specifically, it would allow:

yang-version-arg-str = < a string that matches the rule
                         yang-version-arg >

but bap correctly flags this as an error.  The correct syntax is:

yang-version-arg-str = < a string that matches the rule >
                       < yang-version-arg >

So I have fixed this across the grammar as well.

/martin